%define name buz-tools
%define version 0.1a
%define release 1 

Summary: Buz Tools
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Drivers
Distribution: Red Hat Contrib|Net
URL: http://www.lysator.liu.se/~gz/buz/
Source: http://www.lysator.liu.se/~gz/buz/buz_tools/buz_tools_0_1a.tar.gz   
Patch: %{name}-%{version}-rpm.patch
Packager: Sorin Lingureanu <sorin@tuiasi.ro> 
BuildRoot: /var/tmp/%{name}-%{version}-root
Summary(ro): Utilitare Buz

%description
The Buz tools are a collection of small utilities to make the Buz driver for
Linux (version 0.0.2) useful to applications. 
They are used together with the buz driver 0.0.2 by Dave Perks, 
which can be found on my homepage for Buz/Linux:
http://www.lysator.liu.se/~gz/buz/

%description -l ro
Buz Tools este o colectie de mici utilitare care utilizaeaza driverul Buz. 

%prep
rm -rf %{name}-%{version} 
mkdir %{name}-%{version}
cd %{name}-%{version}
tar -zxvvf ${RPM_SOURCE_DIR}/buz_tools_0_1a.tar.gz

#%setup 
%patch -p1

%build
cd %{name}-%{version}
make clean
make

%install
install -d ${RPM_BUILD_ROOT}/usr/bin/
cd %{name}-%{version}
make install ${RPM_BUILD_ROOT}
	
%clean
cd %{name}-%{version}
make clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%attr( -, root, root )
/usr/bin/*
